EventTimingResult
Returns a list of event timing result entries.
GET/api/event/timing_result
Query parameters
idinteger | |
baseEventstring | |
signUpstring | |
statusstring | |
statusManualboolean | |
genderstring | |
ageClassstring | |
rankOverallstring | |
rankGenderstring | |
rankAgeClassstring | |
netTimeMsstring | |
grossTimeMsstring | |
calculatedstring | |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of EventTimingResult objectsarray<EventTimingResult>
Show fields (20)
base_event_idintegersign_up_idintegerbib_labelstringnamestringstart_time_msintegerStart time in milliseconds.
finish_time_msintegerFinish time in milliseconds.
last_timing_point_idintegerlast_read_time_msintegerTime of the last read in milliseconds.
idintegerPrimary key of the timing result. Internal ID.
statusstringStatus of the result, for example finished, dnf or dsq.
status_manualbooleanThe status was set manually and is not recalculated.
gross_time_msintegerGross time in milliseconds, including breaks.
net_time_msintegerNet time in milliseconds, without breaks.
rank_overallintegerOverall rank of the participant.
rank_genderintegerRank of the participant within the gender.
rank_age_classintegerRank of the participant within the age class.
age_classstringAge class of the participant.
genderstringGender of the participant used for the ranking.
notestringNote on the result.
calculatedstring (date-time)Time the result was calculated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/timing_result \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/timing_result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/timing_result"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/timing_result', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/timing_result"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/timing_result")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/timing_result"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_timing_result_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventTimingResultController.getAll();
if (result.success) {
print(result.data);
}[
{
"name": "Beispiel",
"id": 42,
"base_event_id": 42,
"sign_up_id": 42,
"bib_label": "string",
"start_time_ms": 1,
"finish_time_ms": 1,
"last_timing_point_id": 42,
"last_read_time_ms": 1,
"status": "string"
}
]Returns a single event timing result entry.
GET/api/event/timing_result/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Returns a single EventTimingResultEventTimingResult
Show fields (20)
base_event_idintegersign_up_idintegerbib_labelstringnamestringstart_time_msintegerStart time in milliseconds.
finish_time_msintegerFinish time in milliseconds.
last_timing_point_idintegerlast_read_time_msintegerTime of the last read in milliseconds.
idintegerPrimary key of the timing result. Internal ID.
statusstringStatus of the result, for example finished, dnf or dsq.
status_manualbooleanThe status was set manually and is not recalculated.
gross_time_msintegerGross time in milliseconds, including breaks.
net_time_msintegerNet time in milliseconds, without breaks.
rank_overallintegerOverall rank of the participant.
rank_genderintegerRank of the participant within the gender.
rank_age_classintegerRank of the participant within the age class.
age_classstringAge class of the participant.
genderstringGender of the participant used for the ranking.
notestringNote on the result.
calculatedstring (date-time)Time the result was calculated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/timing_result/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/timing_result/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/timing_result/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/timing_result/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/timing_result/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/timing_result/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/timing_result/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_timing_result_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventTimingResultController.get('42');
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"id": 42,
"base_event_id": 42,
"sign_up_id": 42,
"bib_label": "string",
"start_time_ms": 1,
"finish_time_ms": 1,
"last_timing_point_id": 42,
"last_read_time_ms": 1,
"status": "string"
}Manual status (DNS, DNF, DSQ, ...) and note. With status_manual = false the calculated status returns.
PUT/api/event/timing_result/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataEventTimingResult2Show fields (3)
statusstringStatus of the result, for example finished, dnf or dsq.
status_manualbooleanThe status was set manually and is not recalculated.
notestringNote on the result.
Responses
200Update a EventTimingResultEventTimingResult
Show fields (20)
base_event_idintegersign_up_idintegerbib_labelstringnamestringstart_time_msintegerStart time in milliseconds.
finish_time_msintegerFinish time in milliseconds.
last_timing_point_idintegerlast_read_time_msintegerTime of the last read in milliseconds.
idintegerPrimary key of the timing result. Internal ID.
statusstringStatus of the result, for example finished, dnf or dsq.
status_manualbooleanThe status was set manually and is not recalculated.
gross_time_msintegerGross time in milliseconds, including breaks.
net_time_msintegerNet time in milliseconds, without breaks.
rank_overallintegerOverall rank of the participant.
rank_genderintegerRank of the participant within the gender.
rank_age_classintegerRank of the participant within the age class.
age_classstringAge class of the participant.
genderstringGender of the participant used for the ranking.
notestringNote on the result.
calculatedstring (date-time)Time the result was calculated.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/event/timing_result/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"status": "string",
"status_manual": true,
"note": "string"
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({data: {status: 'string', status_manual: true, note: 'string'}})
};
fetch('https://your-instance.iw-erp.de/api/event/timing_result/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/timing_result/42"
payload = { "data": {
"status": "string",
"status_manual": True,
"note": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/event/timing_result/42', [
'body' => '{"data":{"status":"string","status_manual":true,"note":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/timing_result/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"status\":\"string\",\"status_manual\":true,\"note\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"status\":\"string\",\"status_manual\":true,\"note\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/timing_result/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/timing_result/42"
payload := strings.NewReader("{\"data\":{\"status\":\"string\",\"status_manual\":true,\"note\":\"string\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_timing_result_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/event_timing_result.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventTimingResultController.put(EventTimingResult.fromJson({
"status": "string",
"status_manual": true,
"note": "string"
}));
if (result.success) {
print(result.data);
}{
"name": "Beispiel",
"id": 42,
"base_event_id": 42,
"sign_up_id": 42,
"bib_label": "string",
"start_time_ms": 1,
"finish_time_ms": 1,
"last_timing_point_id": 42,
"last_read_time_ms": 1,
"status": "string"
}Manual status (DNS, DNF, DSQ, ...) and note. With status_manual = false the calculated status returns.
PATCH/api/event/timing_result/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataEventTimingResult2Show fields (3)
statusstringStatus of the result, for example finished, dnf or dsq.
status_manualbooleanThe status was set manually and is not recalculated.
notestringNote on the result.
Responses
200Update a EventTimingResultEventTimingResult
Show fields (20)
base_event_idintegersign_up_idintegerbib_labelstringnamestringstart_time_msintegerStart time in milliseconds.
finish_time_msintegerFinish time in milliseconds.
last_timing_point_idintegerlast_read_time_msintegerTime of the last read in milliseconds.
idintegerPrimary key of the timing result. Internal ID.
statusstringStatus of the result, for example finished, dnf or dsq.
status_manualbooleanThe status was set manually and is not recalculated.
gross_time_msintegerGross time in milliseconds, including breaks.
net_time_msintegerNet time in milliseconds, without breaks.
rank_overallintegerOverall rank of the participant.
rank_genderintegerRank of the participant within the gender.
rank_age_classintegerRank of the participant within the age class.
age_classstringAge class of the participant.
genderstringGender of the participant used for the ranking.
notestringNote on the result.
calculatedstring (date-time)Time the result was calculated.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/event/timing_result/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"status": "string",
"status_manual": true,
"note": "string"
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({data: {status: 'string', status_manual: true, note: 'string'}})
};
fetch('https://your-instance.iw-erp.de/api/event/timing_result/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/timing_result/42"
payload = { "data": {
"status": "string",
"status_manual": True,
"note": "string"
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/event/timing_result/42', [
'body' => '{"data":{"status":"string","status_manual":true,"note":"string"}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/timing_result/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"status\":\"string\",\"status_manual\":true,\"note\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"status\":\"string\",\"status_manual\":true,\"note\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/timing_result/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/timing_result/42"
payload := strings.NewReader("{\"data\":{\"status\":\"string\",\"status_manual\":true,\"note\":\"string\"}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/event/timing_result/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"status": "string",
"status_manual": true,
"note": "string"
}
}),
);
print(response.body);{
"name": "Beispiel",
"id": 42,
"base_event_id": 42,
"sign_up_id": 42,
"bib_label": "string",
"start_time_ms": 1,
"finish_time_ms": 1,
"last_timing_point_id": 42,
"last_read_time_ms": 1,
"status": "string"
}Recalculates all results of the event from the reads.
POST/api/event/base_event/{identifier}/timing/recalculate
Path parameters
identifierrequiredstring |
Responses
200{success, results}
curl --request POST \
--url https://your-instance.iw-erp.de/api/event/base_event/42/timing/recalculate \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'POST', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/base_event/42/timing/recalculate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_event/42/timing/recalculate"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/event/base_event/42/timing/recalculate', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_event/42/timing/recalculate"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_event/42/timing/recalculate")
.post(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_event/42/timing/recalculate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_timing_result_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventTimingResultController.recalculate(42);
if (result.success) {
print(result.data);
}Live snapshot for the admin app (full names, all positions).
GET/api/event/base_event/{identifier}/timing/live
Path parameters
identifierrequiredstring |
Responses
200Live snapshot
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/base_event/42/timing/live \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/base_event/42/timing/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_event/42/timing/live"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/base_event/42/timing/live', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_event/42/timing/live"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_event/42/timing/live")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_event/42/timing/live"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_timing_result_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventTimingResultController.live(42);
if (result.success) {
print(result.data);
}Sets the course from a GPX document or a list of points; null removes it.
PUT/api/event/base_event/{identifier}/timing/course
Path parameters
identifierrequiredstring |
Request body application/json
gpxstringpointsarray<array<number>>
Responses
200{timing_course}
curl --request PUT \
--url https://your-instance.iw-erp.de/api/event/base_event/42/timing/course \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"gpx": "string",
"points": [
[
1.5
]
]
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({gpx: 'string', points: [[1.5]]})
};
fetch('https://your-instance.iw-erp.de/api/event/base_event/42/timing/course', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_event/42/timing/course"
payload = {
"gpx": "string",
"points": [[1.5]]
}
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/event/base_event/42/timing/course', [
'body' => '{"gpx":"string","points":[[1.5]]}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_event/42/timing/course"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"gpx\":\"string\",\"points\":[[1.5]]}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"gpx\":\"string\",\"points\":[[1.5]]}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_event/42/timing/course")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_event/42/timing/course"
payload := strings.NewReader("{\"gpx\":\"string\",\"points\":[[1.5]]}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_timing_result_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventTimingResultController.setCourse(42);
if (result.success) {
print(result.data);
}Sets the course from a GPX document or a list of points; null removes it.
PATCH/api/event/base_event/{identifier}/timing/course
Path parameters
identifierrequiredstring |
Request body application/json
gpxstringpointsarray<array<number>>
Responses
200{timing_course}
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/event/base_event/42/timing/course \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"gpx": "string",
"points": [
[
1.5
]
]
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({gpx: 'string', points: [[1.5]]})
};
fetch('https://your-instance.iw-erp.de/api/event/base_event/42/timing/course', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_event/42/timing/course"
payload = {
"gpx": "string",
"points": [[1.5]]
}
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/event/base_event/42/timing/course', [
'body' => '{"gpx":"string","points":[[1.5]]}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_event/42/timing/course"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"gpx\":\"string\",\"points\":[[1.5]]}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"gpx\":\"string\",\"points\":[[1.5]]}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_event/42/timing/course")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_event/42/timing/course"
payload := strings.NewReader("{\"gpx\":\"string\",\"points\":[[1.5]]}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/event/base_event/42/timing/course'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"gpx": "string",
"points": [
[
1.5
]
]
}),
);
print(response.body);